org.jbpm.process.workitem

## Class AbstractWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.AbstractWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler

      public abstract class AbstractWorkItemHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractWorkItemHandler(org.kie.internal.runtime.StatefulKnowledgeSession ksession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.runtime.process.NodeInstance` | `getNodeInstance(org.kie.api.runtime.process.WorkItem workItem)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.kie.api.runtime.process.WorkItem workItem)`
    `long` | `getProcessInstanceId(org.kie.api.runtime.process.WorkItem workItem)`
    `org.kie.internal.runtime.StatefulKnowledgeSession` | `getSession()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.process.WorkItemHandler

      `abortWorkItem, executeWorkItem`

- - ### Constructor Detail

    - #### AbstractWorkItemHandler

          public AbstractWorkItemHandler(org.kie.internal.runtime.StatefulKnowledgeSession ksession)

  - ### Method Detail

    - #### getSession

          public org.kie.internal.runtime.StatefulKnowledgeSession getSession()

    - #### getProcessInstanceId

          public long getProcessInstanceId(org.kie.api.runtime.process.WorkItem workItem)

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.kie.api.runtime.process.WorkItem workItem)

    - #### getNodeInstance

          public org.kie.api.runtime.process.NodeInstance getNodeInstance(org.kie.api.runtime.process.WorkItem workItem)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.